<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	<!-- <link rel="stylesheet" type="text/css" href="index.css"> -->
	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">
	<h1>Bootstrap Grid System</h1>
	<!-- Two Columns Start -->
	<h2 class="pt-5">Two Columns</h2>
	<div class="container-fluid">
		<!-- Row with two equal columns -->
		<h3>1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 columns</div>
		</div>
		<!-- Row with two divided in 1:2 Ratio -->
		<h3>1:2 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-8">8 columns</div>
		</div>
		<!-- Row with two divided in 1:3 Ratio -->
		<h3>1:3 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-9">9 columns</div>
		</div>
	</div>
	<!-- Three Columns -->
	<h2 class="pt-5">Three Columns</h2>
	<div class="container-fluid">
	<!-- Row with three equal columns -->
		<h3>1:1:1 Ratio</h3>
			<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 columns</div>
		</div>
	</div>
	<!-- Row with three columns divided in 1:2:1-->
	<h3>1:2:1 Ratio</h3>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 columns</div>
		</div>
	</div>	
	<!-- Row with three columns uneven in 1:2:1-->
	<h3>Uneven Ratio</h3>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">2 columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-7">7 columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 columns</div>
		</div>
	</div>

<!-- Automatic Sizing -->
	<h2 class="pt-5">Automatic Sizing</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col">auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">auto</div>
		</div>
	</div>
<!-- Mobile Responsive Column -->
	<h2 class="pt-5">Mobile Responsive Columns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">responsive</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">responsive</div>
		</div>
	</div>
<!-- Multi-Column Layout-->
	<h2 class="pt-5">Multi-Column Layout</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
		</div>
	</div>
<!-- Offsetting Column Layout-->
	<h2 class="pt-5">Offsetting Column Layout</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
		</div>
	</div>
<!-- Column Orders -->
	<h2 class="pt-5">Column Orders</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Catalog 1</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col order-1 order-md-1">Catalog 2</div>
		</div>
	</div>

<!-- Bootstrap Script -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>
